# Copyright 2005 Lars Wirzenius (liw@iki.fi)
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA


"""Default settings."""


# Version of the entire program (and Python library).

VERSION = "2.0"


# Version for the plugin API.

PLUGIN_API_VERSION = "0.0"


# Where to put EoC files.

DOTDIR = "dot-dir"


# Default configuration for a mailing list.

DEFAULT_LIST_CONFIG = {
    "list": {
        "owners": "",
        "moderators": "",
        "subscription": "free",
        "posting": "free",
        "archived": "no",
        "mail-on-subscription-changes": "no",
        "mail-on-forced-unsubscribe": "no",
        "ignore-bounce": "no",
        "language": "",
        "pristine-headers": "",
    },
}


# The following variables will be adjusted by "make install".
# The values in the source as it is in the development directory
# are good for testing within the development directory.


SYSTEM_PLUGIN_DIR = "system-plugins"


# Set to "None" for development use, and to "/usr/sbin/sendmail" upon
# installation.
sendmail = None
